Bug 799313 - SELinux is preventing plugin-containe from 'create' accesses on the directory .adobe.
Summary: SELinux is preventing plugin-containe from 'create' accesses on the directory...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2ab478b1aadd4462cce46de381a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-02 13:17 UTC by edy
Modified: 2012-03-21 18:53 UTC (History)
7 users (show)

Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 18:53:57 UTC


Attachments (Terms of Use)

Description edy 2012-03-02 13:17:59 UTC
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc3.git7.2.fc17.i686
reason:         SELinux is preventing plugin-containe from 'create' accesses on the directory .adobe.
time:           Fri 02 Mar 2012 08:19:19 PM WIT

description:
:SELinux is preventing plugin-containe from 'create' accesses on the directory .adobe.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-containe should be allowed create access on the .adobe directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                .adobe [ dir ]
:Source                        plugin-containe
:Source Path                   plugin-containe
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc3.git7.2.fc17.i686 #1
:                              SMP Fri Feb 17 19:00:46 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Fri 02 Mar 2012 08:14:57 PM WIT
:Last Seen                     Fri 02 Mar 2012 08:14:57 PM WIT
:Local ID                      3f2553ce-0e63-4532-82d2-daf9e87f2c12
:
:Raw Audit Messages
:type=AVC msg=audit(1330694097.288:81): avc:  denied  { create } for  pid=1340 comm="plugin-containe" name=".adobe" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir
:
:
:Hash: plugin-containe,mozilla_plugin_t,user_home_dir_t,dir,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:

Comment 1 Daniel Walsh 2012-03-02 20:07:16 UTC
Fixed in selinux-policy-3.10.0-96.fc17.noarch

Comment 2 Fedora Update System 2012-03-19 17:55:03 UTC
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17

Comment 3 Fedora Update System 2012-03-20 06:08:06 UTC
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-03-21 18:53:57 UTC
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.